%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedmsg_notify
%global busname org.fedoraproject.fedmsg.notify

Name:           fedmsg-notify
Version:        0.5.0
Release:        1%{?dist}
Summary:        Fedmsg Desktop Notifications

License:        GPLv3+
URL:            https://github.com/lmacken/fedmsg-notify
Source0:        https://github.com/downloads/lmacken/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  pygobject3
BuildRequires:  desktop-file-utils

Requires:       fedmsg > 0.5.5
Requires:       python-fedmsg-meta-fedora-infrastructure
Requires:       python-fedora
Requires:       pygobject3

%description
fedmsg-notify provides a dbus-activated daemon that subscribes to realtime
messages from Fedora Infrastructure and displays them as desktop
notifications. It also comes with a fedmsg-notify-config tool to enable/disable
the service.

%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

# DBus configuration
mkdir -p %{buildroot}%{_datadir}/dbus-1/services/
install -m 0644 conf/%{busname}.service \
    %{buildroot}%{_datadir}/dbus-1/services/%{busname}.service
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -m 0644 conf/%{busname}.conf \
    %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{busname}.conf

# fedmsg-notify-config desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    conf/%{name}-config.desktop

# fedmsg-notify-deaemon desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    conf/%{name}-daemon.desktop

# Autostart the daemon
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp -a %{buildroot}%{_datadir}/applications/%{name}-daemon.desktop \
    %{buildroot}%{_sysconfdir}/xdg/autostart/

# GSettings schema
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -m 0644 conf/%{busname}.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas

%postun
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files
%doc README.md LICENSE
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-config
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{pyver}.egg-info/
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/applications/%{name}-config.desktop
%{_datadir}/applications/%{name}-daemon.desktop
%{_sysconfdir}/xdg/autostart/%{name}-daemon.desktop
%{_sysconfdir}/dbus-1/system.d/%{busname}.conf
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml


%changelog
* Wed Feb 20 2013 Luke Macken <lmacken@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Fri Jan 25 2013 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- Update to 0.4.1
- Gracefully handle our gsettings schema change (#902069)
- Advanced filtering bug fixes

* Sat Jan 19 2013 Luke Macken <lmacken@redhat.com> - 0.4.0-2
- Require python-fedora for the PackageDB client

* Thu Jan 17 2013 Luke Macken <lmacken@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Tue Dec 04 2012 Luke Macken <lmacken@redhat.com> - 0.3.2-2
- Require python-fedmsg-meta-fedora-infrastructure

* Fri Nov 02 2012 Luke Macken <lmacken@redhat.com> - 0.3.2-1
- 0.3.2 release, fixing various edge cases
- Autostart the daemon upon login

* Tue Oct 30 2012 Luke Macken <lmacken@redhat.com> - 0.3.1-1
- Update our gsettings schema to enable the service once installed.

* Wed Oct 24 2012 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0
- Require fedmsg > 0.5.5 for fedmsg.text.make_processors

* Thu Oct 06 2012 Luke Macken <lmacken@redhat.com> - 0.2.1-1
- 0.2.1 release
- Add the GSettings schema

* Thu Oct 04 2012 Luke Macken <lmacken@redhat.com> - 0.2.0-1
- Initial package.
